Bug 468299 - Review Request: jabberpy - Python xmlstream and jabber IM protocol libs
Review Request: jabberpy - Python xmlstream and jabber IM protocol libs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-Spacewalk
  Show dependency treegraph
 
Reported: 2008-10-23 19:22 EDT by Michael Stahnke
Modified: 2008-11-26 01:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:52:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2008-10-23 19:22:09 EDT
Spec URL: http://stahnma.fedorapeople.org/reviews/jabberpy.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/jabberpy-0.5-0.15.fc9.src.rpm
Description: 
jabber.py is a Python module for the jabber instant messaging
protocol. jabber.py deals with the xml parsing and socket code,
leaving the programmer to concentrate on developing quality jabber
based applications with Python.


This is part of the client-side spacewalk tools.
Comment 1 Dennis Gilmore 2008-10-24 12:48:10 EDT
fails to build in mock 
+ /usr/bin/python setup.py build
/var/tmp/rpm-tmp.j4MeWz: line 29: /usr/bin/python: No such file or directory


need to BR python
Comment 2 Michael Stahnke 2008-10-24 13:59:10 EDT
I accidentally used the wrong version of the SRPM.  The makefile in git doesn't version unless you have commited, and apparently that bit me.  

http://stahnma.fedorapeople.org/reviews/jabberpy-0.5-0.16.fc9.src.rpm
http://stahnma.fedorapeople.org/reviews/jabberpy.spec

Sorry about that.  This should be a whole lot better.
Comment 3 Dennis Gilmore 2008-10-24 14:21:07 EDT
10bbc72c280e6c21a1101ccf3a227331b19bc3b6  /home/dgilmore/Download/jabberpy-0.5-0.tar.gz
10bbc72c280e6c21a1101ccf3a227331b19bc3b6  SOURCES/jabberpy-0.5-0.tar.gz


builds in mock

rpmlint gives
rpmlint /var/lib/mock//fedora-rawhide-x86_64/result/*rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

remove --record=INSTALLED_FILES from "%{__python} setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES" when importing

APPROVED
Comment 4 Michael Stahnke 2008-10-24 15:49:22 EDT
New Package CVS Request
=======================
Package Name: jabbperpy 
Short Description: Python xmlstream and jabber IM protocol libs
Owners: stahnma
Branches: F-8, F-9, EL4, EL5
InitialCC:
Comment 5 Dennis Gilmore 2008-10-27 00:05:56 EDT
CVS Done
Comment 6 Fedora Update System 2008-11-07 16:45:38 EST
jabberpy-0.5-0.17.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/jabberpy-0.5-0.17.fc8
Comment 7 Fedora Update System 2008-11-07 16:46:26 EST
jabberpy-0.5-0.17.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jabberpy-0.5-0.17.fc9
Comment 8 Fedora Update System 2008-11-07 16:47:08 EST
jabberpy-0.5-0.17.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jabberpy-0.5-0.17.fc10
Comment 9 Fedora Update System 2008-11-11 21:51:29 EST
jabberpy-0.5-0.17.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jabberpy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9519
Comment 10 Fedora Update System 2008-11-11 22:01:33 EST
jabberpy-0.5-0.17.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jabberpy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9610
Comment 11 Fedora Update System 2008-11-19 09:52:05 EST
jabberpy-0.5-0.17.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-11-19 09:53:17 EST
jabberpy-0.5-0.17.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-11-26 01:10:31 EST
jabberpy-0.5-0.17.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.